Rocky Linux 9/AlmaLinux 9中安装PostgreSQL 15的说明

如果要在Rocky Linux 9/AlmaLinux 9系统版本中安装PostgreSQL 15,那按以下说明进行操作就可以了。

第一步:准备服务器

我们将更新系统,并安装需要的几个软件包,它们包括好的编辑器、文件获取工具等软件包。运行以下命令让我们继续:

sudo dnf update -y && sudo dnf install curl vim wget -y

第二步:安装并设置存储库RPM

我们将需要这个存储库,以便能够获得软件包:

sudo dnf install -y https://download.postgresql.org/pub/repos/yum/reporpms/EL-9-x86_64/pgdg-redhat-repo-latest.noarch.rpm

请注意,reporpms目录下选择EL-9-x86_64。

第三步:特别说明

到这里,请参考https://www.hmxthome.com/linux/4959.html里面的内容,下面的要操作的基本和里面文章讲的一样。

接下来,请禁用内置PostgreSQL模块,将禁用默认模块,当然,如果不选中,该模块将安装不同版本的Postgres:

sudo dnf -qy module disable postgresql

第四步:安装PostgreSQL 15客户端和服务器及说明

禁用默认模块后,运行以下命令继续安装PostgreSQL 15客户端和服务器:

sudo dnf install -y postgresql15-server

这将安装PostgreSQL服务器和客户端以及所有其他依赖项。安装过程完成后,让我们使用以下命令确认安装的PostgreSQL版本:

$ psql --version

psql (PostgreSQL) 15.0

说明安装PostgreSQL 15成功。

接下来的初始化PostgreSQL 15数据库,可按上面参考文章链接中的方法进行,所运行的命令是一样的。

总结说明

和在Rocky Linux 8/AlmaLinux 8上安装PostgreSQL 15的最大不同在于设置存储库RPM,Rocky Linux 9/AlmaLinux 9正确的存储库RPM地址是https://download.postgresql.org/pub/repos/yum/reporpms/EL-9-x86_64/pgdg-redhat-repo-latest.noarch.rpm,如果所用的存储库RPM不正确,则无法正确安装好PostgreSQL 15版本数据库。

栏目相关文章